> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Manifests

> Retrieve shipping manifests.



## OpenAPI

````yaml /openapi/openapi_fulfillment.json get /commerce/fulfillment/shipping/manifests
openapi: 3.0.3
info:
  description: |-
    <div id="overview_FULFILLMENT">
                <h2>FULFILLMENT</h2>
                <p>The Fulfillment APIs support order management and fulfillment workflows based on the Shipment API and its
                    packages, including supporting needs such as pick waves and manifests. Once an order has been placed, it
                    generally
                    cannot be edited at the order-level. Instead, changes to the items, pricing, and other information must
                    be done at the
                    shipment level with the Shipment API. See the <a href="/concept-guides/fulfillment">Fulfillment user guides</a> for more information about fulfillment in UCP.</p>
                <p>When using the Shipment API to transition a shipment through each stage of its fulfillment process, it
                    can be
                    difficult to remember how to format the next step's endpoint and the expected parameters on-the-fly.
                    Additionally,
                    if a call such as cancellation, adding tracking information, or marking the shipment as fulfilled needs
                    to be performed
                    outside of the usual fulfillment flow, it may be confusing to determine how to perform the action
                    without referring to the
                    documentation. To assist with this, the Shipment API provides guidelines within the response body. This
                    response
                    includes two objects, workflowState and _links, that detail the shipment's next step in the workflow as
                    well as all
                    possible actions currently available to the shipment. Use 
                    <a href="/pages/fulfillment-api-overview">this walkthrough</a> to better 
                    understand how to work with this response data.</p>
                    <p>Use the <strong>Customer Survey</strong> resource to create surveys and gather data from your customers.</p>
                    <p>Use the <strong>Manifests</strong> resource to create shipping manifests for fulfillment partners such as Canada Post that require manifests for groups of shipments.</p>
                    <p>Use the <strong>Pick Wave</strong> resource to generate and process pick waves for picking groups of items at a fulfillment locations.</p>
                    <p>Use the <strong>Shipment</strong>, <strong>Shipment Attributes</strong>, <strong>Shipment Data</strong>, and <strong>Shipment Notification</strong> resources to manage the actual shipments being fulfilled and perform actions on them.</p>
                    <p>Use the <strong>Shipment Packages</strong> resource to create, update, and delete the individual packages within a shipment.</p>
                    <p>Use the <strong>Storefront</strong> resource to retrieve shipment information for the storefront.</p>
                    <p>Use the <strong>Workflow Process</strong> resource to retrieve BPM configurations and the fulfillment steps based on shipment type.</p>
            </div>
  title: Fulfillment  - Production Profile
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
tags:
  - name: CustomerSurvey
  - name: Fulfillment
  - name: FutureShipment
  - name: GiftReceipt
  - name: Manifest
  - name: PickWave
  - name: Rendition
  - name: ShipmentAttributes
  - name: ShipmentContact
  - name: Shipment
  - name: ShipmentData
  - name: ShipmentNotes
  - name: ShipmentPackages
  - name: ShipmentResendEmail
  - name: ShippingNotification
  - name: Storefront
  - name: Substitutions
  - name: WorkflowProcess
paths:
  /commerce/fulfillment/shipping/manifests:
    get:
      tags:
        - Manifest
      summary: Get Manifests
      description: Retrieve shipping manifests.
      parameters:
        - description: fromDays
          in: query
          name: fromDays
          schema:
            format: int32
            type: integer
        - description: fulfillmentLocationCode
          in: query
          name: fulfillmentLocationCode
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/hal+json:
              schema:
                $ref: '#/components/schemas/CollectionModelOfManifest'
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionModelOfManifest'
            application/xml:
              schema:
                $ref: '#/components/schemas/CollectionModelOfManifest'
          description: OK
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
components:
  schemas:
    CollectionModelOfManifest:
      properties:
        _embedded:
          additionalProperties:
            items:
              $ref: '#/components/schemas/Manifest'
            type: array
          type: object
        _links:
          additionalProperties:
            $ref: '#/components/schemas/FulfillmentLink'
          type: object
      title: CollectionModelOfManifest
      type: object
    Manifest:
      properties:
        attributes:
          additionalProperties:
            type: object
          type: object
        auditInfo:
          $ref: '#/components/schemas/AuditInfo0'
        carrierId:
          type: string
        internalId:
          type: string
        locationCode:
          type: string
        manifestId:
          type: string
        manifestUrl:
          type: string
        numberOfPackages:
          format: int32
          type: integer
        numberOfShipments:
          format: int32
          type: integer
        shipments:
          items:
            $ref: '#/components/schemas/ManifestShipment'
          type: array
        tenantId:
          format: int32
          type: integer
        userDisplayName:
          type: string
        userId:
          type: string
      title: Manifest
      type: object
    FulfillmentLink:
      properties:
        deprecation:
          type: string
        href:
          type: string
        hreflang:
          type: string
        media:
          type: string
        name:
          type: string
        profile:
          type: string
        rel:
          $ref: '#/components/schemas/LinkRelation'
        title:
          type: string
        type:
          type: string
      title: Link
      type: object
    AuditInfo0:
      properties:
        createBy:
          type: string
        createDate:
          format: date-time
          type: string
        updateBy:
          type: string
        updateDate:
          format: date-time
          type: string
      title: AuditInfo0
      type: object
    ManifestShipment:
      properties:
        destination:
          $ref: '#/components/schemas/FulfillmentDestination'
        externalOrderId:
          type: string
        fulfillmentLocationCode:
          type: string
        orderNumber:
          format: int32
          type: integer
        packages:
          items:
            $ref: '#/components/schemas/FulfillmentPackage'
          type: array
        shipmentNumber:
          format: int32
          type: integer
        shipmentType:
          type: string
      title: ManifestShipment
      type: object
    LinkRelation:
      title: LinkRelation
      type: object
    FulfillmentDestination:
      properties:
        data:
          type: object
        destinationContact:
          $ref: '#/components/schemas/FulfillmentContact'
        isDestinationCommercial:
          type: boolean
        locationCode:
          type: string
      title: Destination
      type: object
    FulfillmentPackage:
      properties:
        attributes:
          additionalProperties:
            type: object
          type: object
        auditInfo:
          $ref: '#/components/schemas/FulfillmentAuditInfo'
        carrier:
          type: string
        fxcbDocumentsUrl:
          type: string
        fxcbPackNotificationId:
          type: string
        hasLabel:
          type: boolean
        integratorId:
          type: string
        labelFormat:
          type: string
        manifestId:
          type: string
        measurements:
          $ref: '#/components/schemas/FulfillmentPackageMeasurements'
        packageId:
          type: string
        packagingType:
          type: string
        packingSlipItemDetails:
          items:
            $ref: '#/components/schemas/PackingSlipItemDetailDto'
          type: array
        packingSlipNumber:
          format: int32
          type: integer
        returnCarrier:
          type: string
        returnTrackingNumbers:
          items:
            type: string
          type: array
        returnTrackings:
          items:
            $ref: '#/components/schemas/FulfillmentTracking'
          type: array
        shippingMethodCode:
          type: string
        shippingMethodName:
          type: string
        signatureRequired:
          type: boolean
        stringBarcode:
          type: string
        trackingNumbers:
          items:
            type: string
          type: array
        trackings:
          items:
            $ref: '#/components/schemas/FulfillmentTracking'
          type: array
      title: Package
      type: object
    FulfillmentContact:
      properties:
        address:
          $ref: '#/components/schemas/FulfillmentAddress'
        attributes:
          additionalProperties:
            type: object
          type: object
        companyOrOrganization:
          type: string
        email:
          type: string
        firstName:
          type: string
        fullName:
          type: string
        id:
          format: int32
          type: integer
        lastNameOrSurname:
          type: string
        middleNameOrInitial:
          type: string
        phoneNumbers:
          $ref: '#/components/schemas/FulfillmentPhone'
        shortFullName:
          type: string
      title: Contact
      type: object
    FulfillmentAuditInfo:
      properties:
        createBy:
          type: string
        createDate:
          format: date-time
          type: string
        updateBy:
          type: string
        updateDate:
          format: date-time
          type: string
      title: AuditInfo
      type: object
    FulfillmentPackageMeasurements:
      properties:
        attributes:
          additionalProperties:
            type: object
          type: object
        height:
          $ref: '#/components/schemas/FulfillmentMeasurement'
        length:
          $ref: '#/components/schemas/FulfillmentMeasurement'
        weight:
          $ref: '#/components/schemas/FulfillmentMeasurement'
        width:
          $ref: '#/components/schemas/FulfillmentMeasurement'
      title: PackageMeasurements
      type: object
    PackingSlipItemDetailDto:
      properties:
        attributes:
          additionalProperties:
            type: object
          type: object
        lineId:
          format: int32
          type: integer
        originalOrderItemId:
          type: string
        quantity:
          format: int32
          type: integer
      title: PackingSlipItemDetailDto
      type: object
    FulfillmentTracking:
      properties:
        attributes:
          additionalProperties:
            type: object
          type: object
        number:
          type: string
        url:
          type: string
      title: Tracking
      type: object
    FulfillmentAddress:
      properties:
        address1:
          type: string
        address2:
          type: string
        address3:
          type: string
        address4:
          type: string
        addressType:
          enum:
            - Commercial
            - Residential
          type: string
        attributes:
          additionalProperties:
            type: object
          type: object
        cityOrTown:
          type: string
        countryCode:
          type: string
        isValidated:
          type: boolean
        latitude:
          type: string
        longitude:
          type: string
        postalOrZipCode:
          type: string
        stateOrProvince:
          type: string
      title: Address
      type: object
    FulfillmentPhone:
      properties:
        attributes:
          additionalProperties:
            type: object
          type: object
        home:
          type: string
        mobile:
          type: string
        work:
          type: string
      title: Phone
      type: object
    FulfillmentMeasurement:
      properties:
        attributes:
          additionalProperties:
            type: object
          type: object
        unit:
          type: string
        value:
          format: bigdecimal
          type: number
      title: Measurement
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````